Subject: bug#42243: About a Potential Change/Bug That Might Have Rendered cdlatex Mostly Dysfunctional

From: Arash Esbati <[email-masked]>
Date: Wed, 08 Jul 2020 22:31:48 +0200

Hi Keita,

Ikumi Keita <[email-masked]> writes:

> I wonder why texmathp-tex-commands-default isn't updated properly even
> when TeX-parse-self is enabled. If you provide us sample LaTeX file and
> the part of your config file relevant to AUCTeX and CDLaTeX, we can
> investigate the issue.

I opened a new file like this:

,----
| \documentclass[10pt]{article}
| 
| \usepackage{amsmath}
| 
| \begin{document}
| 
| Assuming additivity of mass ...
| \begin{gather*}
|   \frac{F_1}{m_1} \leq \frac{F_{12}}{m_{12}} \leq \frac{F_2}{m_2}
| \end{gather*}
| \end{document}
| 
| %%% Local Variables:
| %%% mode: latex
| %%% TeX-master: t
| %%% End:
`----

and this is what I get, looks good to me with latest AUCTeX from git.

,----[ C-h v texmathp-tex-commands-default RET ]
| texmathp-tex-commands-default is a variable defined in ‘texmathp.el’.
| Its value is shown below.
| 
| Documentation:
| The default entries for ‘texmathp-tex-commands’, which see.
| 
| Value:
| (("\\intertext" arg-off)
|  ("\\text" arg-off)
|  ("\\boxed" arg-on)
|  ("xxalignat" env-on)
|  ("xalignat*" env-on)
|  ("xalignat" env-on)
|  ("alignat*" env-on)
|  ("alignat" env-on)
|  ("flalign*" env-on)
|  ("flalign" env-on)
|  ("multline*" env-on)
|  ("multline" env-on)
|  ("gather*" env-on)
|  ("gather" env-on)
|  ("align*" env-on)
|  ("align" env-on)
|  ("equation*" env-on)
|  ("$$" sw-toggle)
|  ("$" sw-toggle)
|  ("\\hbox" arg-off)
|  ("\\vbox" arg-off)
|  ("\\vtop" arg-off)
|  ("\\vcenter" arg-off)
|  ("equation" env-on)
|  ("eqnarray" env-on)
|  ("eqnarray*" env-on)
|  ("math" env-on)
|  ("displaymath" env-on)
|  ("minipage" env-off)
|  ("\\fbox" arg-off)
|  ("\\mbox" arg-off)
|  ("\\framebox" arg-off)
|  ("\\label" arg-off)
|  ("\\textrm" arg-off)
|  ("\\(" sw-on)
|  ("\\)" sw-off)
|  ("\\[" sw-on)
|  ("\\]" sw-off)
|  ("\\ensuremath" arg-on))
`----

Best, Arash